Run Recreate on a Service (11.1.2.3.600)

Restores an environment to a clean state by recreating the deployment.

This is the original version of this API. You can also use the simplified v2 version of the REST API. The v2 version contains all parameters in the payload and does not require URL encoding while calling the REST APIs. This makes the v2 API easier to use. The v2 version is backwards compatible.

You re-create the deployment to complete these tasks:

  • Clean up an environment before importing a full snapshot.
  • Change the business process that can be deployed in an environment.

Caution:

  • This API deletes the existing application and, optionally, all user defined artifacts from the environment., including the backup snapshot. Additionally, it re-creates the database and removes all existing data. After recreating the service, you can create a new business process or import one using REST APIs, Migration, or EPM Automate.
  • This API deletes migration history. As a result, the Migration Status Report available in Migration will not contain historic information.
  • Before using this API, perform a complete backup of the environment. You can create a backup snapshot by executing runDailyMaintenance.

Required Roles

Service Administrator

REST Resource

POST /interop/rest/11.1.2.3.600/services/{servicename}/recreate

Request

Supported Media Types: application/x-www-form-urlencoded

Table 9-41 Parameters

Name Description Type Required Default
servicename Name of the service for which recreate needs to be run, such as PBCS Path Yes None
tempServiceType

Optionally, convert an environment to a different service environment. The business processes that you can deploy in an environment is governed by the type of subscription that you have. For example, if you have an EPM Standard Cloud Service subscription, you cannot create a FreeForm application after converting the environment from Account Reconciliation to Planning. If you have an EPM Enterprise Cloud Service subscription, you can create any business process in your environment after changing the service type appropriately. See "About the New Oracle Fusion Cloud EPM Services" in Getting Started Guide for Administrators.

The behavior of this parameter is dependent on your subscription. For details and examples, see Recreate in Working with EPM Automate.

Acceptable tempServiceType values:

  • ARCS to convert an environment to an Account Reconciliation environment
  • EDMCS to convert an environment to a Oracle Fusion Cloud Enterprise Data Management environment
  • EPCMC to convert an environment to an Enterprise Profitability and Cost Management environment
  • EPRCS to convert an environment to a Narrative Reporting environment
  • PCMCS to convert an environment to a Profitability and Cost Management environment
  • PBCS to convert a Profitability and Cost Management environment to a Planning or Enterprise Profitability and Cost Managementenvironment

Note: You can create a Tax Reporting or Financial Consolidation and Close application in a new Planning environment. You do not need to change the service type of the environment.

When you run this REST API with tempserviceType, the serviceType change can be verified by making a REST call to /interop/rest.

Payload No None
removeAll If set to true, deletes all the snapshots, the content of the Inbox and Outbox folders, and the archived snapshots in Oracle Object Storage. Default is false, which retains the snapshots and the content of inbox and outbox. After this API is issued on an environment with removeAll=true, the behavior of these EPM Automate commands will be as follows:
  • listFiles will not list snapshots or the contents of the inbox and outbox
  • listBackups will not list any archived snapshots
Payload No None

Response

Table 9-42 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel

Possible values: self and/or Job Status.

If the value is set to Job Status, you can use the href to get the status of the recreate service

data Parameters as key value pairs passed in the request

Example of Response Body

{
	"details":null,
	"status":0,
	"links":[{
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/services/<SERVICE-TYPE>/recreate",
		"rel":"self",
		"data":null,
		"action":"POST"
		},{
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/<SERVICE-TYPE>/PBCS/recreate/<JOB_ID>",
		"rel":"Job Status",
		"data":null,
		"action":"GET"
	}]
}

cURL Sample

funcRecreateService() {
        echo "Are you sure you want to recreate the EPM environment (yes/no): no ?[Press Enter]"
        read toCreate
        if [ $toCreate != "yes" ]; then
                echo "User cancelled the recreate command"
                exit 0
        fi

        url=$SERVER_URL/interop/rest/$API_VERSION/services/EPM/recreate
        json=$(echo "{\"removeAll\":\"true\"}" | sed -f urlencode.sed)
        param="parameters=$json"
        funcExecuteRequest "POST" $url $param "application/x-www-form-urlencoded"
        output=`cat response.txt`
        status=`echo $output | jq '.status'`
    if [ $status == -1 ]; then
        echo "Started recreating the environment successfully"
                funcGetStatus "GET"
    else
        error=`echo $output | jq '.details'`
        echo "Error occurred. " $error
    fi
        funcRemoveTempFiles "respHeader.txt" "response.txt"
}